> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synkrony.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar projetos



## OpenAPI

````yaml /api-reference/v1/swagger.json get /api/v1/projects
openapi: 3.1.0
info:
  title: API V1
  version: v1
servers:
  - url: https://app.synkrony.ai
security:
  - BearerAuth: []
paths:
  /api/v1/projects:
    get:
      tags:
        - Projects
      summary: Listar projetos
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Project'
                  links:
                    type: object
                    items:
                      $ref: '#/components/schemas/PaginationLinks'
                  meta:
                    type: object
                    items:
                      $ref: '#/components/schemas/PaginationMeta'
                required:
                  - data
                  - links
                  - meta
        '401':
          description: unauthorized
components:
  schemas:
    Project:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        color:
          type: string
        client_name:
          type: string
        icon:
          type: string
          nullable: true
        has_kanban:
          type: boolean
        cost_cents:
          type: number
        start_period:
          type: string
          nullable: true
        end_period:
          type: string
          nullable: true
        number_of_hours_per_sprint:
          type: number
          nullable: true
        number_of_sprints:
          type: number
          nullable: true
        discarded_at:
          type: string
          nullable: true
        repository_url:
          type: string
          nullable: true
        auto_correct_ci_enabled:
          type: boolean
        project_users:
          type: array
          items:
            type: object
          nullable: true
        external_project_links:
          type: array
          items:
            type: object
            properties:
              provider:
                type: string
                nullable: true
              external_project_id:
                type: string
              external_project_name:
                type: string
                nullable: true
              external_project_key:
                type: string
                nullable: true
            required:
              - external_project_id
      required:
        - id
        - name
        - color
        - client_name
        - has_kanban
        - cost_cents
        - auto_correct_ci_enabled
        - external_project_links
        - external_project_links
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
      required:
        - first
        - last
    PaginationMeta:
      type: object
      properties:
        count:
          type: integer
        page:
          type: integer
        limit:
          type: integer
        pages:
          type: integer
      required:
        - count
        - page
        - limit
        - pages
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'API token no formato Bearer. Exemplo: Bearer YOUR_API_TOKEN'

````